# Module is dynamically loaded and references to X Server, and other
# modules resolved at runtime.
%define _disable_ld_no_undefined 1

%define chipset		geode
# 20081113
%define snapshot	0
%define rel		7
%if %snapshot
%define release		%mkrel 10.%{snapshot}.%{rel}
%define distname	xf86-video-%{chipset}-%{snapshot}
%else
%define release		%mkrel %{rel}
%define distname	xf86-video-%{chipset}-%{version}
%endif

Name: x11-driver-video-%{chipset}
Version: 2.11.19
Release: %{release}
Summary: X.org driver for AMD Geode GX and LX Processors
Group: System/X11
URL: https://xorg.freedesktop.org
# git://anongit.freedesktop.org/git/xorg/driver/xf86-video-geode
# git archive --format=tar --prefix=xf86-video-geode-$(date +%Y%m%d)/ master |
#   bzip2 > ../xf86-video-geode-$(date +%Y%m%d).tar.bz2
Source: https://xorg.freedesktop.org/releases/individual/driver/%{distname}.tar.bz2
Patch1: 0001-Remove-call-to-LoaderGetOS.patch
Patch2: 0002-gx-Fix-RANDR-initialization-for-xserver-1.20.patch
Patch3: xf86-video-geode-2.11.19-fix-multiple-definitions.patch
License: MIT
ExclusiveArch: %{ix86}
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.3.0
# geode replaces amd driver (renamed in order to prevent confusion after AMD/ATI
# merge), and cyrix and nsc drivers
# (https://lists.freedesktop.org/archives/xorg/2008-July/036970.html)
Provides: x11-driver-video-amd
Provides: x11-driver-video-cyrix
Provides: x11-driver-video-nsc
Obsoletes: x11-driver-video-amd
Obsoletes: x11-driver-video-cyrix <= 1.1.0-7mdv2008.1
Obsoletes: x11-driver-video-nsc <= 2.8.3-5mdv2009.0
Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
This is the X graphics driver for the AMD Geode GX and LX processors.
The GX driver features XAA and EXA support for graphics acceleration,
and the LX driver supports EXA (including compositing).  Both drivers
support dynamic rotation with XRandR, and Xv overlay support.

%prep
%autosetup -p1 -n %{distname}
%if %snapshot
./autogen.sh
%endif

%build
%configure
%make_build

%install
%make_install

%files
%doc README TODO
%{_libdir}/xorg/modules/drivers/ztv_drv.so
%{_libdir}/xorg/modules/drivers/geode_drv.so




%changelog
* Thu Dec 08 2022 daviddavid <daviddavid> 2.11.19-7.mga9
+ Revision: 1919432
- Mageia 9 Mass Rebuild

* Sat Oct 16 2021 tv <tv> 2.11.19-6.mga9
+ Revision: 1751703
- Rebuild for X.org 21.1

* Thu Jan 14 2021 neoclust <neoclust> 2.11.19-5.mga8
+ Revision: 1671854
- Add upstream patch to fix multiple definitions
+ danf <danf>
- Switch URLs from http: to https:
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Thu Oct 04 2018 pterjan <pterjan> 2.11.19-4.mga7
+ Revision: 1317712
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 2.11.19-3.mga7
+ Revision: 1207839
- Build fix for xserver 1.20
- rebuild for xserver 1.20 RC1

* Tue Dec 13 2016 tv <tv> 2.11.19-1.mga6
+ Revision: 1074464
- new release

* Thu Nov 17 2016 tv <tv> 2.11.18-3.mga6
+ Revision: 1067707
- add patch for xserver 1.19
- drop old unapplied Guillemot eCafe patch (sorry blino)
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 2.11.18-2.mga6
+ Revision: 1043238
- rebuild for xorg-server 1.18.4

* Thu Feb 11 2016 tv <tv> 2.11.18-1.mga6
+ Revision: 953751
- 2.11.18
- submit to core/release
- rebuild for new xserver

* Sun Jun 21 2015 tv <tv> 2.11.17-1.mga6
+ Revision: 837445
- drop useless patch
- new release
- rebuild for xserver 1.17

* Fri Oct 17 2014 luigiwalser <luigiwalser> 2.11.16-2.mga5
+ Revision: 771180
- add patch to fix build with glibc 2.20

* Sun Jul 20 2014 tv <tv> 2.11.16-1.mga5
+ Revision: 654657
- drop merged patch
- new release
- submit to core/release
- rebuild for new xserver RC
- rebuild for new xserver

* Sat Mar 08 2014 tv <tv> 2.11.15-2.mga5
+ Revision: 601294
- patch1: fix compiling with xserver 1.15 (from FC)
- new release

* Sun Oct 13 2013 tv <tv> 2.11.15-1.mga4
+ Revision: 496145
- new release
- new release

* Thu May 30 2013 tv <tv> 2.11.14-3.mga4
+ Revision: 433152
- submit to core/release

* Fri May 24 2013 tv <tv> 2.11.14-2.mga4
+ Revision: 425995
- patch 1: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 2.11.14-2.mga3
+ Revision: 385982
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 tv <tv> 2.11.14-1.mga3
+ Revision: 322146
- new release

* Thu Sep 13 2012 tv <tv> 2.11.13-4.20120913.5.mga3
+ Revision: 293571
- new snapshot (support for newer x11-server)
- rebuild for new x11-server
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 2.11.13-4.mga3
+ Revision: 256388
- rebuild for core/release

* Sat Jun 02 2012 tv <tv> 2.11.13-3.mga3
+ Revision: 253189
- rebuild b/c of ia32 failure
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 2.11.13-2.mga3
+ Revision: 249945
- rebuild for new X.org server

* Tue Jan 17 2012 tv <tv> 2.11.13-1.mga2
+ Revision: 197669
- new release

* Tue Dec 06 2011 tmb <tmb> 2.11.12-4.mga2
+ Revision: 177733
- submit to core/release

* Mon Nov 28 2011 tmb <tmb> 2.11.12-3.mga2
+ Revision: 173769
- rebuild against new x11-server

* Fri Mar 04 2011 tv <tv> 2.11.12-2.mga1
+ Revision: 64442
- rebuild for new xserver-1.10

* Fri Feb 18 2011 tv <tv> 2.11.12-1.mga1
+ Revision: 53915
- new release

* Fri Feb 11 2011 tmb <tmb> 2.11.11-1.mga1
+ Revision: 50209
- imported package x11-driver-video-geode


* Mon Dec 27 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.11.11-1mdv2011.0
+ Revision: 625389
- New version: 2.11.11
- No need for autoreconf

* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 2.11.10-3mdv2011.0
+ Revision: 595715
- require xorg server with proper ABI

* Tue Nov 09 2010 Thierry Vignaud <tv@mandriva.org> 2.11.10-2mdv2011.0
+ Revision: 595435
- new release

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 2.11.9-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Wed Aug 25 2010 Thierry Vignaud <tv@mandriva.org> 2.11.9-1mdv2011.0
+ Revision: 573044
- new release

* Thu Apr 15 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.11.8-1mdv2011.0
+ Revision: 535096
- New version: 2.11.8
- use configure2_5x (fixes warning)

* Thu Feb 04 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.11.7-1mdv2010.1
+ Revision: 500745
- New version: 2.11.7

* Wed Nov 11 2009 Thierry Vignaud <tv@mandriva.org> 2.11.6-3mdv2010.1
+ Revision: 464400
- rebuild for new xserver

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 2.11.6-2mdv2010.1
+ Revision: 464347
- rebuild for new xserver

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 2.11.6-1mdv2010.0
+ Revision: 449970
- update to new version 2.11.6

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 2.11.5-1mdv2010.0
+ Revision: 448657
- new release

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 2.11.4.1-1mdv2010.0
+ Revision: 423539
- new release

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 2.11.4-1mdv2010.0
+ Revision: 422267
- update to new version 2.11.4

* Fri Jun 19 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.11.3-1mdv2010.0
+ Revision: 387413
- update to version 2.11.3

* Tue May 12 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.11.2-1mdv2010.0
+ Revision: 375027
- New version 2.11.2

* Wed Feb 18 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 2.11.1-1mdv2009.1
+ Revision: 342650
- New version 2.11.1

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 2.11.0-2mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Thu Dec 18 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.11.0-1mdv2009.1
+ Revision: 315654
- New version 2.11.0

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 2.10.1-3mdv2009.1
+ Revision: 308214
- provide and obsolete nsc and cyrix as well as amd
  http://lists.freedesktop.org/archives/xorg/2008-July/036970.html

* Sat Nov 29 2008 Adam Williamson <awilliamson@mandriva.org> 2.10.1-2mdv2009.1
+ Revision: 308147
- rebuild for new X server

  + Olivier Blin <oblin@mandriva.com>
    - disable scale display patch (should be made configurable?)
    - add support for scaling display to 1024x600 (from Warly)

* Mon Aug 25 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.10.1-1mdv2009.0
+ Revision: 275728
- Update to version 2.10.1

* Tue Jul 15 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.10.0-1mdv2009.0
+ Revision: 236163
- Update to version 2.10.0

* Wed May 28 2008 Thierry Vignaud <tv@mandriva.org> 2.9.0-3mdv2009.0
+ Revision: 212523
- fix upgrade since "the xf86-video-amd driver has been renamed to
  xf86-video-geode to avoid confusion with AMD's other GPU offerings"
- add missing dot at end of description
- improved summary

* Fri May 23 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.9.0-2mdv2009.0
+ Revision: 210736
- o Add _disable_ld_no_undefined to spec. This is required due to the dynamic
  module system adopted by the X Server.

  + Adam Williamson <awilliamson@mandriva.org>
    - conflict with amd < 2.7.7.7-2mdv to ensure upgrade works correctly

* Mon May 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.9.0-1mdv2009.0
+ Revision: 206307
- The geode driver, like the amd driver, only compiles on 32 bit x86.
- Import geode driver, version 2.9.0.
- x11-driver-video-geode

